workspace "fencer"
  configurations { "Debug", "Release" }
  location "."

project "fencer"
  kind "WindowedApp"
  language "C"
  location "build/"
  files { "src/**.c" }
  links { "SDL2", "SDL2_image", "cjson", "m" }
  buildoptions { "-Wall", "-DVMATH_SDL=1" }
  targetdir "bin/"
  filter "configurations:Debug"
    defines { "DEBUG" }
    buildoptions { "-g3" }
    symbols "On"
  filter "configurations:Release"
    buildoptions { "-g0" }
    defines { "NDEBUG" }
    optimize "On"
